/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.common.fsm;

import java.util.ArrayList;

import junit.framework.TestCase;

/**
 * 有限状態遷移機械のテスト
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class FiniteStateMachineTest extends TestCase {

	/**
	 * Constructor for FiniteStateMachineTest.
	 * @param arg0
	 */
	public FiniteStateMachineTest(String arg0) {
		super(arg0);
	}

	private static Symbol[] createSymbol(String str) {
		ArrayList symbols = new ArrayList();
		
		return (Symbol[])symbols.toArray(new Symbol[0]);
	}
}

